Subject: [Healeys] trafficator

From: [email-masked]
Date: Mon, 3 Nov 2014 09:52:34 -0500

I am considering a rack & pinion steering modification to my 100 but I also
want to retain my trafficator. Has anyone come up with either a mechanical
modification to the original trafficator that retains the horn button & turn
signal switch with self cancelling feature or an electronic substitute that
also retains the external horn button & turn signal switch (lever) & includes
a self cancelling feature? In other words, I want a trafficator that functions
& looks (externally) like the original. Any suggestions? 
Gary
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys